import { Granularity } from '../constants';
export declare enum DomainType {
    Event = 0,
    Navigator = 1,
    Sparkline = 2,
}
export interface IDomainDef {
    domainLabels?: boolean;
    ratio?: number;
    rulers?: boolean;
    type?: DomainType;
}
declare class Domain {
    width: number;
    height: number;
    from: Date;
    to: Date;
    pixelsPerDay: number;
    granularity: Granularity;
    ratio: number;
    type: DomainType;
    domainLabels: boolean;
    rulers: boolean;
    constructor(from: Date, to: Date, width: number, height: number, domainCenter: number, domainDef: IDomainDef);
    positionAtDate(date: Date): number;
    dateAtPosition(x: number): Date;
    countDays(): number;
    dateAtProportion(proportion: number): Date;
    proportionAtPosition(position: number): number;
    private getGranularity();
}
export default Domain;
